io_uring_unregister_buf_ring(3)

NAME
io_uring_unregister_buf_ring - unregister a previously registered buffer ring

SYNOPSIS
#include <liburing.h>

int io_uring_unregister_buf_ring(struct io_uring *ring,
                                 int bgid);

DESCRIPTION

The io_uring_unregister_buf_ring(3) function unregisters a previously registered shared buffer ring indicated by bgid.

RETURN VALUE
On success io_uring_unregister_buf_ring(3) returns 0. On failure it returns -errno.

SEE ALSO
io_uring_register_buf_ring(3), io_uring_buf_ring_free(3)